Skip to main content
GET
/
forms
/
{formId}
/
analytics
/
drop-off
Retrieve form drop-off
curl --request GET \
  --url https://api.tally.so/forms/{formId}/analytics/drop-off \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tally.so/forms/{formId}/analytics/drop-off"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tally.so/forms/{formId}/analytics/drop-off', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "stats": {
    "totalVisitors": 123,
    "formStarts": 123,
    "formCompletes": 123,
    "completionRate": 123,
    "completionTimeInSeconds": 123,
    "visitDurationInSeconds": 123
  },
  "dataAvailableSince": "2023-11-07T05:31:56Z",
  "data": [
    {
      "blockGroupUuid": "<string>",
      "views": 123,
      "startedViews": 123,
      "answers": 123,
      "drops": 123,
      "title": "<string>",
      "type": "<string>",
      "answerRate": 123,
      "dropRate": 123,
      "isRequired": true
    }
  ],
  "hasConditionalLogic": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

formId
string
required

The ID of the form

Query Parameters

period
enum<string>
required

Time period for the analytics data

Available options:
today,
yesterday,
24h,
7d,
30d,
3m,
6m,
12m,
all

Response

Form drop-off analytics

stats
object
dataAvailableSince
string<date-time>
data
object[]
hasConditionalLogic
boolean